# Map of Germany with highlighted WTF member locations

## Docker Usage

Download the Germany PLZ dataset in the GeoJSON format from
https://opendata-esri-de.opendata.arcgis.com/datasets/5b203df4357844c8a6715d7d411a8341_0
and place the file in the root of this repository.

Place a JSON file containing a list of PLZ prefixes as `wtf_member_plz_prefixes.json` in
the root of this repository.
The file contents should look like `["121", "635"]` for PLZ data that is anonymized to
the first three digits.

The following will build a Docker image and render the map with the default
configuration for the WTF member PLZ prefix data:
```
docker build -t wtf-map .
docker run wtf-map > map.png
```

Note, the build command already renders the map and thus can take a moment.
The run command just outputs the already rendered image to be piped into any target
file on the host system.

## Script Usage

In case you'd like custom colors or use different data, you are encouraged to use the
script explicity.
To get all relevant requirements, you can `pip install -r requirements.txt`, but note,
you might need to install BLAS and GEOS libraries on your system.

The following will tell you all about what you can adjust for a custom visualization:
```
python main.py --help
```
